Creates a new address in the organization.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Addresses under the Addresses category when creating or editing an API token. Learn More.
curl --request POST \
--url https://api.samsara.com/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"settings": {
"showAddresses": true
}
},
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contactIds": [
"22408"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tagIds": [
"3914"
]
}
'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The address to create.
A request body to create an Address.
The full street address for this address/geofence, as it might be recognized by Google Maps.
1024"350 Rhode Island St, San Francisco, CA"
The geofence that defines this address and its bounds. This can either be a circle or a polygon, but not both.
Show child attributes
Name of the address.
255"Samsara HQ"
Reporting location type associated with the address (used for ELD reporting purposes). Valid values: yard, shortHaul, workforceSite, riskZone, industrialSite, alertsOnly, agricultureSource, avoidanceZone, knownGPSJammingZone, authorizedZone, unauthorizedZone, vendor, inventory.
yard, shortHaul, workforceSite, riskZone, industrialSite, alertsOnly, agricultureSource, avoidanceZone, knownGPSJammingZone, authorizedZone, unauthorizedZone, vendor, inventory An array of Contact IDs associated with this Address.
The external IDs for the given object.
Show child attributes
{
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}Latitude of the address. Will be geocoded from formattedAddress if not provided.
37.765363
Longitude of the address. Will be geocoded from formattedAddress if not provided.
-122.4029238
Notes about the address.
280"Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side."
An array of IDs of tags to associate with this address.
Newly created address object with ID.
An Address response body.
An Address object.
Show child attributes
curl --request POST \
--url https://api.samsara.com/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"settings": {
"showAddresses": true
}
},
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contactIds": [
"22408"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tagIds": [
"3914"
]
}
'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}